Skip to main content
`Ctrl`+`K`

# PetscOptionsCreate

Creates an empty options database.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsCreate(PetscOptions *options)

Logically Collective

## Output Parameter

- options - Options database object

## Note

Though PETSc has a concept of multiple options database the current code uses a single default `PetscOptions` object

## Developer Notes

We may want eventually to pass a `MPI_Comm` to determine the ownership of the object

This object never got developed after being introduced, it is not clear that supporting multiple `PetscOptions` objects is useful

## See Also

`PetscOptionsDestroy()`, `PetscOptionsPush()`, `PetscOptionsPop()`, `PetscOptionsInsert()`, `PetscOptionsSetValue()`

## Level

advanced

## Location

src/sys/objects/options.c

## Examples

src/sys/tutorials/ex19.c
src/sys/tutorials/ex20.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages